Subject: RE: Comments on draft-ietf-multi6-v4-multihoming-02

From: <[email-masked]>
Date: Wed, 10 Nov 2004 19:14:19 +0200

Brian,

> > So what I meant more was that if we use keep-alives at the multi6
> > layer, then perhaps this could be something that the upper layer
> > could set the keep-alive behavior.  However, I still don't know if
> > you are suggesting that we use keep-alives at the multi6 layer
> > (in some circumstances) or if you would kick this up to the application
> > layer.
> 
> IMHO: In a modular multi6 design, this shouldn't be prescribed.
> The connectivity detection component might use keep-alives on Tuesdays,
> SNMP traps on Wednesdays, and hints from the ULP the rest of the week.
> This really should not become an architectural choice.

What I was getting at, originally, was that the multi6 layer may have some
information that it can pass up to the ULP, and the ULP then might make
some decisions based upon it.  Additionally, the ULP could potentially
make requests to the multi6 layer, for example, to change the connectivity.

Anyhow, I don't think we can map out this entire space & probably should not.

John